List Campaign Posts
curl --request GET \
--url https://api.decodahealth.com/opportunity/campaign/{campaign_id}/post/list \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/opportunity/campaign/{campaign_id}/post/list"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/opportunity/campaign/{campaign_id}/post/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"campaignId": "<string>",
"creatorId": "<string>",
"platformId": "<string>",
"title": "<string>",
"caption": "<string>",
"ctaText": "<string>",
"ctaUrl": "<string>",
"scheduledDate": "2023-11-07T05:31:56Z",
"publishedDate": "2023-11-07T05:31:56Z",
"externalPostId": "<string>",
"externalPostUrl": "<string>",
"status": "DRAFT",
"meta": {},
"creatorName": "<string>",
"media": [
{
"id": "<string>",
"postId": "<string>",
"gcsPath": "<string>",
"fileName": "<string>",
"fileSizeBytes": 123,
"mimeType": "<string>",
"durationSeconds": 123,
"width": 123,
"height": 123,
"thumbnailGcsPath": "<string>",
"displayOrder": 0,
"altText": "<string>",
"signedUrl": "<string>"
}
],
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Campaigns
List Campaign Posts
List a campaign’s social posts with signed media URLs.
GET
/
opportunity
/
campaign
/
{campaign_id}
/
post
/
list
List Campaign Posts
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Response
Successful Response
Available options:
SOCIAL_POST, AD, EMAIL, BLOG, LANDING_PAGE Available options:
DRAFT, SCHEDULED, PUBLISHED, PAUSED, ARCHIVED Show child attributes
Show child attributes
⌘I
